Bug 524045 - accessing non existing usb device cause guest to stop
Summary: accessing non existing usb device cause guest to stop
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 17:03 UTC by Vladimir Benes
Modified: 2009-11-20 19:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 19:33:20 UTC


Attachments (Terms of Use)
picture of message which showed over and over again until guest went down (1.17 MB, image/jpeg)
2009-09-18 09:31 UTC, Vladimir Benes
no flags Details
picture shown after writing to /dev/sda (1.25 MB, image/jpeg)
2009-09-18 09:34 UTC, Vladimir Benes
no flags Details

Description Vladimir Benes 2009-09-17 17:03:53 UTC
Description of problem:
when  I add partition as a usb device I can mount it.. but when I disconnect it and then try to mount it guest goes down 

Version-Release number of selected component (if applicable):
qemu-kvm-0.10.92-4.fc12.x86_64
qemu-common-0.10.92-4.fc12.x86_64
qemu-system-x86-0.10.92-4.fc12.x86_64
qemu-kvm-tools-0.10.92-4.fc12.x86_64
qemu-img-0.10.92-4.fc12.x86_64

libvirt-0.7.1-4.fc12.x86_64
virt-viewer-0.2.0-1.fc12.x86_64
libvirt-client-0.7.1-4.fc12.x86_64
virt-manager-0.8.0-3.fc12.noarch
virt-top-1.0.3-5.fc12.x86_64
python-virtinst-0.500.0-2.fc12.noarch
libvirt-python-0.7.1-4.fc12.x86_64
virt-mem-0.3.1-9.fc12.x86_64

kernel-2.6.31-14.fc12.x86_64

How reproducible:


Steps to Reproduce:
1. power on a guest
2. plug in flash usb disk and add storage (block device partition) via virt-manager as usb device 
3. remove usb flash disk
  
Actual results:
guest goes down in a while

Expected results:
nothing serious .. continue to work 

Additional info:
using KVM on core2duo intel x86_64

Comment 1 Mark McLoughlin 2009-09-17 17:22:08 UTC
Vladimir: anything interesting in /var/log/libvirt/qemu/$guest.log ?

Does the guest actually exit ?

Comment 2 Vladimir Benes 2009-09-18 09:08:33 UTC
nothing interesting in $guest.log
if mounting removed device guest exits. There is just VNC disconnected and retrying connection (without any success) ther in virt-manager.log

I wrote down dmesg to that flash but after that I got some errors that filesystem is corrupted (I/O errors) but dmesg was written..

will post dmesg and some pictures.. in next comment ..

Comment 3 Vladimir Benes 2009-09-18 09:31:14 UTC
Created attachment 361616 [details]
picture of message which showed over and over again until guest went down

Comment 4 Vladimir Benes 2009-09-18 09:34:13 UTC
Created attachment 361617 [details]
picture shown after writing to /dev/sda

Comment 5 Daniel Berrangé 2009-09-21 11:05:22 UTC
2. plug in flash usb disk and add storage (block device partition) via
virt-manager as usb device 
3. remove usb flash disk


When you say 'remove usb flash disk' - i assume this means you unplugged it from the host OS, and not that you used virt-manager to remove the device from the guest ?


Can you provide the $HOME/.virt-manager/virt-manager.log file, covering the time at which you attached the device to the guest.

Comment 6 Bug Zapper 2009-11-16 12:34:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Mark McLoughlin 2009-11-20 19:33:20 UTC
No response to needinfo since 2009-09-21, closing


Note You need to log in before you can comment on or make changes to this bug.